## golang-1.16 1.16.2

=== debian/changelog ===
golang-1.16 (1.16.2-0ubuntu1~18.04.2) bionic; urgency=medium

  * d/helpers/goenv.sh: Don't set GO386 when building on i386.
    (LP: #1983742)
  * d/control{,.in}: Make golang-X.Y-go depend on sse2-support on
    i386.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 05 Aug 2022 23:26:55 -0400

golang-1.16 (1.16.2-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to Bionic (LP: #1967425, #1960449).
    - Downgrade debhelper to compat level 11.
    - Remove Breaks: dh-golang (<< 1.43~).
      dh-golang/1.34.2 is available in Bionic. If you need any feature from
      newer dh-golang please try to implement it directly in the affected
      package. As reference take a look at LP #1967425.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 31 Mar 2022 13:41:08 +0200

golang-1.16 (1.16.2-0ubuntu1~20.04) focal; urgency=medium

  * Backport to focal (LP: #1929038)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 10 May 2021 13:41:08 +0200

golang-1.16 (1.16.2-0ubuntu1) hirsute; urgency=medium

  * New upstream version.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Mar 2021 16:34:16 +1300

golang-1.16 (1.16.1-0ubuntu1) hirsute; urgency=medium

  * New upstream version.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 11 Mar 2021 11:24:27 +1300

golang-1.16 (1.16-0ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * d/patches/0001-cmd-link-check-CGO_CFLAGS-for-non-g-I-O-options-befo.patch:
    disable internal linking when dynamically linking and CGO_CFLAGS contains
    flags that might make host object files that the internal linkers ELF
    reader does not support. This fixes lots of package builds when LTO is
    enabled by default via dpkg-buildflags.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 17 Feb 2021 14:15:58 +1300

golang-1.16 (1.16~rc1-1) unstable; urgency=medium

  * Team upload.
  * New upstream major version.
    - Drop 0004-cmd-dist-fix-build-failure-of-misc-cgo-test-on-arm64.patch
      which was replaced by https://go-review.googlesource.com/c/go/+/262357/
      and cherry-picked as b3f7f60 for go1.16 upstream
    - Refresh remaining patches
  * Update Standards-Version to 4.5.1, no changes needed

 -- Anthony Fok <foka@debian.org>  Mon, 08 Feb 2021 17:43:41 -0700

golang-1.15 (1.15.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.8
  * Skip userns tests in schroot.
    When schroot is using overlayfs, it fails to detect it as chroot.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 05 Feb 2021 20:51:44 +0800

golang-1.15 (1.15.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.7
    + crypto/elliptic: incorrect operations on the P-224 curve
      CVE-2021-3114

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 23 Jan 2021 01:59:14 +0800

golang-1.15 (1.15.6-1) unstable; urgency=medium

  * Team upload.

  [ Balint Reczey ]
  * cmd/dist: increase default timeout scale for arm (LP: #1893640)

  [ Shengjing Zhu ]
  * New upstream version 1.15.6
  * Drop CGO_LDFLAGS patch, fixed in go1.15.6

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 13 Dec 2020 18:27:59 +0800

golang-1.15 (1.15.5-2) unstable; urgency=medium

  * Team upload.
  * Backport patch to fix usability regression in go1.15.5
    cmd/go: allow flags in CGO_LDFLAGS environment variable not in security allowlist
    https://github.com/golang/go/issues/42567

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 18 Nov 2020 00:46:08 +0800

golang-1.15 (1.15.5-1) unstable; urgency=medium

  * New upstream version 1.15.5.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 13 Nov 2020 09:40:16 +1300

golang-1.15 (1.15.4-1) unstable; urgency=medium

  * New upstream version 1.15.4.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 10 Nov 2020 10:48:51 +1300

golang-1.15 (1.15.2-1) unstable; urgency=medium

  * New upstream version 1.15.2.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 15 Sep 2020 09:51:42 +1200

golang-1.15 (1.15-2) unstable; urgency=medium

  * Team upload.
  * Backport fix for arm64 cgo test
    https://go-review.googlesource.com/c/go/+/237858

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 27 Aug 2020 13:44:43 +0800

golang-1.15 (1.15-1) unstable; urgency=medium

  * New upstream version 1.15

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 25 Aug 2020 19:59:24 +0200

golang-1.15 (1.15~rc2-1) unstable; urgency=medium

  * New upstream version 1.15~rc2
    - encoding/binary: ReadUvarint and ReadVarint can read an unlimited
      number of bytes from invalid inputs. CVE-2020-16845

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 09 Aug 2020 16:12:45 +0200

golang-1.15 (1.15~rc1-1) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Backport patches to fix the FPU ABI problems for mips32
    https://go-review.googlesource.com/c/go/+/237058/

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.15~rc1
    - Refresh patches
    - net/http: Expect 100-continue panics in httputil.ReverseProxy.
      See https://github.com/golang/go/issues/34902, fixes CVE-2020-15586

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 03 Aug 2020 21:22:44 +0200

golang-1.15 (1.15~beta1-2) unstable; urgency=medium

  * Source-only upload.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 17 Jun 2020 17:17:08 +0200

golang-1.15 (1.15~beta1-1) unstable; urgency=medium

  * New upstream major version.
    - Drop patch to fix FTBFS on $HOME managed with git, has been
      applied upstream.
    - Refresh remaining patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 15 Jun 2020 21:40:49 +0200

golang-1.14 (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 15 Jun 2020 21:19:41 +0200

golang-1.14 (1.14.3-2) unstable; urgency=medium

  * Increase the test timeout that made some builds succeed
    there on slow hardware (such as emulated riscv64).
    Thanks to Gianfranco Costamagna (Closes: #960759)


