## golang-1.16 1.16.7

=== debian/changelog ===
golang-1.16 (1.16.7-1ubuntu2) impish; urgency=medium

  * Add support for c-archive and c-shared on RISC-V (LP: #1936664)
    - Apply patches from https://github.com/4a6f656c/go.git,
      branch riscv64-c-shared-go1.16:
      - d/patches/0001-runtime-cgo-save-and-restore-X3-aka-GP-for-crosscall.patch
      - d/patches/0002-runtime-save-and-restore-X3-aka-GP-for-asmcgocalls-o.patch
      - d/patches/0003-all-add-support-for-c-archive-and-c-shared-on-linux-.patch
      - d/patches/0004-runtime-change-riscv64-assembly-to-work-with-Go-1.16.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 07 Sep 2021 15:18:09 +0200

golang-1.16 (1.16.7-1ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Sep 2021 13:59:38 +0200

golang-1.16 (1.16.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.7
    + CVE-2021-36221: net/http: panic due to racy read of persistConn after
      handler panic

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 06 Aug 2021 02:38:44 +0800

golang-1.16 (1.16.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.6
    + CVE-2021-34558: crypto/tls: clients can panic when provided a certificate
      of the wrong type for the negotiated parameters

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 13 Jul 2021 13:11:46 +0800

golang-1.16 (1.16.5-1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaning change:
    - d/patches/0001-cmd-link-check-CGO_CFLAGS-for-non-g-I-O-options-befo.patch:
      disable internal linking when dynamically linking and CGO_CFLAGS
      contains flags that might make host object files that the internal
      linkers ELF reader does not support. This fixes lots of package builds
      when LTO is enabled by default via dpkg-buildflags.
  * d/patches/0007-cmd-link-cmd-cgo-support-flto-in-CFLAGS.patch:
    backport another patch from upstream to fix some failures seen with LTO.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 16 Jun 2021 15:56:28 +1200

golang-1.16 (1.16.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.5
    + CVE-2021-33195: net: Lookup functions may return invalid host names
    + CVE-2021-33196: archive/zip: malformed archive may cause panic or memory
      exhaustion (Closes: #989492)
    + CVE-2021-33197: net/http/httputil: ReverseProxy forwards Connection
      headers if first one is empty
    + CVE-2021-33198: math/big: (*Rat).SetString with "1.770p02041010010011001001"
      crashes with "makeslice: len out of range"

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Jun 2021 19:03:59 +0800

golang-1.16 (1.16.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.4
    Fix CVE-2021-31525 net/http: ReadRequest can stack overflow due to
    recursion with very large headers

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 08 May 2021 02:27:38 +0800

golang-1.16 (1.16.3-4) unstable; urgency=medium

  * Team upload.
  * Remove bootstrap dir after build. Otherwise tests fail

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Apr 2021 02:05:56 +0800

golang-1.16 (1.16.3-3) unstable; urgency=medium

  * Team upload.
  * Drop mtime hack in postinst and d/rules
    https://github.com/golang/go/issues/3506#issuecomment-341310161
    > Essentially everything involved in this report has been rewritten.
    > The go command no longer cares about mtimes.
  * No need to remove src dir in golang-$(GOVER)-go package.
    It's not installed by golang-X.Y-go.dirs now
  * Update description and recommended way to use specified version (Closes: #985542)
  * Rebuild with go1.16.
    To build with GO386=softfloat, https://github.com/golang/go/issues/44500
  * Add Multi-Arch hint
  * Only build in -arch target again.
    Move generated source files to golang-1.16-go package
  * Not force gencontrol in dh_clean.
    Not needed after the new branch is created. And we need to add some
    Breaks/Replaces to d/control which should not be in next version
  * Remove GOCACHE before dh_install.
    So it is executed when build with nocheck as well

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Apr 2021 00:46:07 +0800

golang-1.16 (1.16.3-2) unstable; urgency=medium

  * Team upload.
  * Also build package in indep target (Closes: #987126)
    As the -src package moved to arch all,
  * Build with empty GO386 env on i386 for now.
    It's no possible to build go1.16 with go1.15 with either
    GO386=softfloat or GO386=387.
    We can rebuild go1.16 with go1.16 and GO386=softfloat later.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 18 Apr 2021 17:27:43 +0800

golang-1.16 (1.16.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.3
    Fix CVE-2021-27918 CVE-2021-27919
  * Move golang-X.Y-src to arch all.
    The package doesn't contain arch specific source now.
  * Update golang-X.Y-doc package description.
    Most contents are removed by upstream in 1.16, which is moved to
    x/website repository. And the godoc binary is also shipped in
    golang-golang-x-tools now. So no longer recommend users to read doc
    with godoc. These html files can also be read in plain browsers.
  * Replace dpkg-parsechangelog with dpkg pkg-info.mk
  * Try to enable tests on armel and ppc64.
    No comments say why it doesn't work
  * Remove nocheck detection as debhelper respects it since compat 13
  * Remove override_dh_missing as fail-missing is default in compat 13

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 18 Apr 2021 03:56:41 +0800

golang-1.16 (1.16-1) unstable; urgency=medium

  * New upstream version 1.16
  * debian/control{.in,}: Change Section from devel to golang
  * Add myself to Uploaders

 -- Anthony Fok <foka@debian.org>  Thu, 18 Feb 2021 00:02:53 -0700
