=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
            Paul Tagliamonte <paultag@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Michael Hudson-Doyle <mwhudson@debian.org>,
-           Dr. Tobias Quathamer <toddy@debian.org>
-Section: devel
+           Dr. Tobias Quathamer <toddy@debian.org>,
+           Anthony Fok <foka@debian.org>
+Section: golang
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                golang-any (>= 2:1.4~) | golang-go (>= 2:1.4~) | gccgo (>= 4:5~),
                netbase
 Standards-Version: 4.5.1
@@ -26,9 +27,10 @@
 Depends: golang-1.16-src (>= ${source:Version}),
          ${misc:Depends},
          ${perl:Depends},
-         ${shlibs:Depends},
-         sse2-support [any-i386]
+         ${shlibs:Depends}
 Recommends: g++, gcc, libc6-dev, pkg-config
+Breaks: dh-golang (<< 1.43~), golang-1.16-src (<< 1.16.3-3~)
+Replaces: golang-1.16-src (<< 1.16.3-3~)
 Suggests: bzr | brz, ca-certificates, git, mercurial, subversion
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
@@ -43,12 +45,14 @@
  This package provides an assembler, compiler, linker, and compiled libraries
  for the Go programming language.
  .
- Go supports cross-compilation, but as of Go 1.5, it is no longer necessary to
- pre-compile the standard library inside GOROOT for cross-compilation to work.
+ To use this version, instead of the default one provided by golang-go package,
+ add /usr/lib/go-1.16/bin/ to PATH, or invoke /usr/lib/go-1.16/bin/go directly.
 
 Package: golang-1.16-src
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el riscv64 s390x
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: golang-1.16-go (<< 1.16.3-3~)
 Description: Go programming language - source files
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
@@ -60,11 +64,12 @@
  interpreted language.
  .
  This package provides the Go programming language source files needed for
- cross-compilation.
+ compilation.
 
 Package: golang-1.16-doc
-Depends: golang-1.16-go, ${misc:Depends}
+Depends: ${misc:Depends}
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Description: Go programming language - documentation
  The Go programming language is an open source project to make
@@ -78,9 +83,7 @@
  typed, interpreted language.
  .
  This package provides the documentation for the Go programming
- language. You can view the formatted documentation by running
- "godoc --http=:6060", and then visiting
- http://localhost:6060/doc/install.html.
+ language.
 
 Package: golang-1.16
 Depends: golang-1.16-doc (>= ${source:Version}),
@@ -101,3 +104,7 @@
  .
  This package is a metapackage that, when installed, guarantees
  that (most of) a full Go development environment is installed.
+ .
+ To use this version, instead of the default one provided by golang-go
+ package, add /usr/lib/go-1.16/bin/ to PATH, or invoke /usr/lib/go-1.16/bin/go
+ directly.
