=== debian/control ===
Source: golang-1.16
Section: golang
Priority: optional
Standards-Version: 4.5.0
Maintainer: Wong Hoi Sing Edison <hswong3i@gmail.com>
Homepage: https://github.com/golang/go
Vcs-Browser: https://github.com/alvistack/golang-go
Vcs-Git: https://github.com/alvistack/golang-go.git
Build-Depends:
 debhelper,
 debhelper-compat (= 10),
 golang-1.13-go | golang-1.14-go | golang-1.15-go | golang-1.16-go,
 golang-1.13-src | golang-1.14-src | golang-1.15-src | golang-1.16-src,
 fdupes,
 netbase,

Package: golang-1.16
Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el riscv64 s390x
Description: Go programming language compiler - metapackage
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction. Go
 compiles quickly to machine code yet has the convenience of garbage
 collection and the power of run-time reflection. It's a fast, statically
 typed, compiled language that feels like a dynamically typed,
 interpreted language.
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
Provides:
 golang-1.16-go,
 golang-1.16-src,
 golang-1.16-doc,
