=== debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/bash

override_dh_auto_build:
	set -ex && \
		cd ./src && \
		export PATH=/usr/lib/go-1.16/bin:/usr/lib/go-1.15/bin:/usr/lib/go-1.14/bin:/usr/lib/go-1.13/bin:${PATH} && \
		export GOROOT=$(CURDIR) && \
		export GOROOT_FINAL=/usr/lib/go-1.16 && \
		bash ./make.bash

override_dh_auto_install:
	install -Dpm755 -d debian/tmp/usr/bin
	install -Dpm755 -d debian/tmp/usr/lib/go-1.16
	install -Dpm755 -d debian/tmp/usr/share/doc/go-1.16/html
	cp -rfp VERSION debian/tmp/usr/lib/go-1.16/
	cp -rfp api debian/tmp/usr/lib/go-1.16/
	cp -rfp bin debian/tmp/usr/lib/go-1.16/
	cp -rfp doc/* debian/tmp/usr/share/doc/go-1.16/html/
	cp -rfp favicon.ico debian/tmp/usr/share/doc/go-1.16/
	cp -rfp misc debian/tmp/usr/lib/go-1.16/
	cp -rfp pkg debian/tmp/usr/lib/go-1.16/
	cp -rfp src debian/tmp/usr/lib/go-1.16/
	cp -rfp test debian/tmp/usr/lib/go-1.16/
	find debian/tmp/usr/lib/go-1.16/src -type f -name '*.rc' -delete
	ln -fs /usr/lib/go-1.16/bin/go debian/tmp/usr/bin/go1.16
	ln -fs /usr/lib/go-1.16/bin/gofmt debian/tmp/usr/bin/gofmt1.16
	ln -fs /etc/alternatives/go debian/tmp/usr/bin/go
	ln -fs /etc/alternatives/gofmt debian/tmp/usr/bin/gofmt
	fdupes -s debian/tmp/usr

override_dh_strip:
	dh_strip -Xtestdata

override_dh_dwz:

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xtestdata

override_dh_shlibdeps:
	dh_shlibdeps -Xtestdata -Xtest

override_dh_makeshlibs:
	dh_makeshlibs -Xtestdata -Xtest

override_dh_auto_test:

override_dh_auto_clean:

%:
	dh $@
