## golang-1.16 1.16.10

=== debian/changelog ===
golang-1.16 (1.16.10-1) unstable; urgency=medium

  * New upstream version 1.16.10
    + CVE-2021-41771: debug/macho: invalid dynamic symbol table command
      can cause panic
    + CVE-2021-41772: archive/zip: Reader.Open panics on empty string

 -- Anthony Fok <foka@debian.org>  Wed, 10 Nov 2021 01:59:47 -0700
