## golang-1.16 1.16.15

=== debian/changelog ===
golang-1.16 (1.16.15-1~bpo11+1) bullseye-backports; urgency=medium

  * New upstream version 1.16.15
  * Build for bullseye-backports

 -- Anthony Fok <foka@debian.org>  Sat, 19 Mar 2022 23:09:43 -0600

golang-1.16 (1.16.14-1~bpo11+1) bullseye-backports; urgency=medium

  * New upstream version 1.16.14
  * Build for bullseye-backports

 -- Anthony Fok <foka@debian.org>  Mon, 14 Feb 2022 23:00:07 -0700

golang-1.16 (1.16.13-1~bpo11+1) bullseye-backports; urgency=medium

  * New upstream version 1.16.13
  * Build for bullseye-backports

 -- Anthony Fok <foka@debian.org>  Tue, 11 Jan 2022 16:58:44 -0700

golang-1.16 (1.16.12-1~bpo11+1) bullseye-backports; urgency=medium

  * New upstream version 1.16.12
    + CVE-2021-44716: net/http: limit growth of header canonicalization cache
    + CVE-2021-44717: syscall: don’t close fd 0 on ForkExec error
  * Build for bullseye-backports

 -- Anthony Fok <foka@debian.org>  Thu, 09 Dec 2021 14:49:55 -0700

golang-1.16 (1.16.11-1~bpo11+1) bullseye-backports; urgency=medium

  * New upstream version 1.16.11
  * Build for bullseye-backports

 -- Anthony Fok <foka@debian.org>  Thu, 02 Dec 2021 17:31:41 -0700

golang-1.16 (1.16.10-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Wed, 10 Nov 2021 03:11:38 -0700

golang-1.16 (1.16.9-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Tue, 12 Oct 2021 00:59:21 -0600

golang-1.16 (1.16.8-1~bpo11+1) bullseye-backports; urgency=high

  * Rebuild for bullseye-backports.
  * New upstream version 1.16.8
    + CVE-2021-39293: security fix to the archive/zip package

 -- Anthony Fok <foka@debian.org>  Fri, 10 Sep 2021 18:45:15 -0600

golang-1.16 (1.16.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Fix Lintian warning tab-in-license-text in debian/copyright

 -- Anthony Fok <foka@debian.org>  Sun, 05 Sep 2021 18:08:26 -0600
